from ansible.module_utils.basic import AnsibleModule
import re

def main():
    module = AnsibleModule(
        argument_spec=dict()
    )
    resolvconf = '/etc/resolv.conf'
    nameservers = []
    searchlist = None

    r = open(resolvconf)
    line = r.readline()
    while line:
        try:
            s = re.search(r"^search\s+(.+)", line)
            if s is not None:
                searchlist = s.group(1).split()
        except:
            pass
        try:
            ip = re.search(r"^nameserver\s+([^\s]+)", line)
            if ip is not None:
                nameservers.append(ip.group(1))
        except:
            pass
        line = r.readline()
    r.close()

    result = dict(
        changed=False,
        nameservers=nameservers,
        searchlist=searchlist
    )

    module.exit_json(**result)

if __name__ == '__main__':
    main()
